﻿using System;
using System.Collections;
using System.Collections.ObjectModel;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 소스 컬렉션 - SourceCollection

        /// <summary>
        /// 소스 컬렉션
        /// </summary>
        public IList SourceCollection { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.gridControl.DataContext = this;

            CreateData(7);
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 데이터 생성하기 - CreateData(dayCount)

        /// <summary>
        /// 데이터 생성하기
        /// </summary>
        /// <param name="dayCount">일 수</param>
        private void CreateData(int dayCount)
        {
            SourceCollection = new ObservableCollection<CustomElement>();

            Random random = new Random();

            for(int i = 1; i <= dayCount; i++)
            {
                SourceCollection.Add
                (
                    new CustomElement()
                    {
                        ArgumentColumn  = new DateTime(2000, 1, i),
                        ValueColumn     = random.Next(20),
                        FilteringColumn = 1
                    }
                );
            }
        }

        #endregion
    }
}